@import '~antd/dist/antd.css';

// Reset and Colors Styles
@import '_colors';
@import '_sizes';
@import '_shadows';
@import '_border';
// Header, sidebar,...
@highestZindex: 13;
@lms-sidebar-top-offset: 8em;

@test_import_color: red; 
// * Component mixins styles
@import url('./mixins/collapse/collapse_mixin.less');
@import url('./mixins/card/card_mixin.less');
@import url('./mixins/banner_image/banner_image_mixins.less');
@import url('./mixins//content/teaching_content.less');
@import url('./mixins/button/button_mixins.less');
// * Style utility mixins:
@import url('./mixins/elevation/elevation_mixin.less');

.primary-colored-border-card {
    .ant-card-head {
        border-color: @primary;;
    }

    .ant-card-body {
        border-color: @primary;
    }
}

body {
    background-color: @background;
}

.button-with-icon {
    display: flex;
    align-items: center;
}

.button-with-icon svg {
    margin-right: 0.25rem;
}

.flex {
    display: flex;
}

.justify-content-center {
    justify-content: center;
}

.align-items-center {
    align-items: center;
}

.align-center-parent-relative {
    margin-left: auto;
    margin-right: auto;
}

.margin-bottom-none {
    margin-bottom: 0 !important;
}

.content-page-modal-wrapper {
    //width: 100%;
    > div {
      width: 60% !important;
    }
}

.pagination-container {
    display: flex;
    justify-content: flex-end;
    padding: 1rem 0;
}

.confirm-delete-modal-wrapper {
    .anticon-exclamation-circle {
        color: #c91c00 !important;
    }

    .confirm-delete-modal-subject-name {
        font-weight: bold;
    }

    .confirm-delete-modal-ok-btn {
        background-color: #dd2b0e !important;
        border: none;
        border-radius: 0.25rem;
    }

    .confirm-delete-modal-cancel-btn {
        border-radius: 0.25rem;
    }

    .confirm-delete-modal-title-name {
        font-weight: bold;
    }
}

.confirm-continue-modal-wrapper {
    .anticon-exclamation-circle {
        color: #40a9ff !important;
    }

    .confirm-continue-modal-ok-btn {
        border-radius: 0.25rem;
    }

    .confirm-continue-modal-ok-btn {
        border-radius: 0.25rem;
    }
}

.ant-typography.question-drawer-note {
    color: #c91c00 !important;
    display: block;
    margin-bottom: 1rem;
}

.question-drawer-instruction {
    display: flex;
    flex-direction: column;

    div {
        margin: 0;
    }
}

.question-drawer-text-editor-wrapper {
    margin-bottom: 1rem;

    .ant-form-item {
        width: 100%;
    }

    label {
        font-weight: bold;
    }

    label::before {
        display: inline-block;
        margin-right: 4px;
        color: #ff4d4f;
        font-size: 14px;
        font-family: SimSun, sans-serif;
        line-height: 1;
        content: '*';
    }
}

.checkbox-container-row-layout {

    display: flex;
    flexDirection: row;
    alignItems: center;
    margin-bottom: 0;

    .ant-row.ant-form-item-row {
        display: flex;
        flex-direction: row !important;
        align-items: center;
        padding: 0 !important;
        width: 100%;
    }

    .ant-col.ant-form-item-control {
        width: 20% !important;
    }

    .ant-col.ant-form-item-label {
        margin-right: 1rem;
        padding: 0 !important;
    }
}


// * Customize look for scrollbar (Works only in chrome)
@import url('./_scrollbar.less');